# Clustering ierarhic

data(iris)
irisClust <- iris[,-5]  # eliminarea atributului de clasa

# construirea matricii de disimilaritate 
d <- dist(irisClust, method = "euclidean") # distance matrix

# aplicarea unui algoritm aglomerativ 
# - metode de calcul a disimilaritatii intre clustere:  single, complete, average, ward
resHC <- hclust(d, method="ward")

# vizualizarea dendrogramei
plot(resHC, labels=FALSE) 

# sectionarea dendrogramei pentru a obtine o partitie cu 3 clustere 
groups <- cutree(resHC, k=3) 

# vizualizarea dendrogramei si marcarea elementelor celor 3 clustere 
rect.hclust(resHC, k=3, border="red") 

# ??? Lab/Tema: analizati comportamentul celorlalte : "single", "complete", "average"